<template>
  <div>
    <v-app-bar
      app
      color="white"
    >
      <div class="d-flex align-center">
        <router-link to="/">

          <v-img
            alt="Provincia Seguros"
            class="shrink mt-1"
            contain
            min-width="100"
            src="https://www.provinciaseguros.com.ar/wp-content/uploads/2017/05/pseguros2-1.png"
            width="171"
          />
        </router-link>
      </div>

      <v-spacer></v-spacer>
      <v-btn
        text
        class="shrink mt-1 hidden-md-and-down"
        v-for="navItem in navList"
        :href="navItem.to"
        target="_blank"
        :key="navItem.label"
      >
        {{navItem.label}}
      </v-btn>
      <v-app-bar-nav-icon
        @click="drawer = true"
        class="d-flex d-lg-none"
      ></v-app-bar-nav-icon>
    </v-app-bar>
    <v-navigation-drawer
      v-model="drawer"
      absolute
      temporary
    >
      <v-list
        nav
        dense
      >
        <v-list-item-group>
          <v-list-item
            v-for="navItem in navList"
            :key="navItem.label+'-list'"
            :href="navItem.to"
            target="_blank"
          >
            <v-list-item-title>{{navItem.label}}</v-list-item-title>
          </v-list-item>
        </v-list-item-group>
      </v-list>
    </v-navigation-drawer>

  </div>
</template>

<script>
export default {
  name: 'NavBar',

  data: () => ({
    drawer: false,
    navList: [
      {
        to: 'https://www.provinciaseguros.com.ar/#personas',
        label: 'Seguros Personas'
      },
      {
        to: 'https://www.provinciaseguros.com.ar/#empresas',
        label: 'Seguros Empresas'
      },
      {
        to: 'https://appsc.provinciaseguros.com.ar/',
        label: 'Acceso Clientas/es'
      },
      {
        to: 'https://www.provinciaseguros.com.ar/homePass.html',
        label: 'Acceso PAS'
      },
      {
        to: 'https://www.provinciaseguros.com.ar/sobre-provincia-seguros/',
        label: 'Quiénes somos'
      },
      {
        to: 'https://www.provinciaseguros.com.ar/#contacto',
        label: 'Nuestras Sedes'
      }
    ]
  }),
}
</script>
